/*
 *  Copyright (c) 2015, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 *  WSO2 Inc. licenses this file to you under the Apache License,
 *  Version 2.0 (the "License"); you may not use this file except
 *  in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 *
 */

package org.wso2.carbon.governance.registry.extensions.utils;

/**
 * This class will be used to store all the static constants.
 */
public final class Constants {

    public static final String OVERVIEW_BUSINESS_UNIT = "overview_businessUnit";

    public static final String ENDPOINTS_ENTRY = "endpoints_entry";
    public static final String APIM_ENDPOINT = "publisher/site/blocks/item-add/ajax/add.jag";
    public static final String APIM_LOGIN_ENDPOINT = "publisher/site/blocks/user/login/ajax/login.jag";
    public static final String APIM_ENV = "apim.env";
    public static final String SUBSCRIPTIONS = "subscriptions";
    public static final String CURRENT_TENANT = "current_tenant";
    public static final String TAG = "tags";

    public static final String HTTP_CHECKED = "http_checked";
    public static final String HTTPS_CHECKED = "https_checked";
    public static final String HTTP_CONSTANT = "http";
    public static final String HTTPS_CONSTANT = "https";
    public static final String RESPONSE_CACHE = "responseCache";
    public static final String DISABLED = "disabled";
    public static final String ENDPOINT_TYPE = "endpointType";
    public static final String NONSECURED = "nonsecured";
    public static final String ENDPOINT_CONFIG = "endpoint_config";
    public static final String TRUE_CONSTANT = "true";

    public static final String COLUNM_SEPERATOR = ":";
    public static final String UTF_8_ENCODE = "UTF-8";

    public static final int SUCCESS_RESPONSE_CODE = 200;
    public static final int CREATED_RESPONSE_CODE = 201;
    public static final int APIM_PARAMETER_COUNT = 3;
    public static final String APIM_2_0_0_ENDPOINT = "/publisher/apis/assets?type=api";
    public static final String APIM_2_0_0_LOGIN_ENDPOINT = "/publisher/apis/authenticate";
}
